Bug 808449 - smb_acl_to_posix: ACL is invalid for set (Invalid argument)
smb_acl_to_posix: ACL is invalid for set (Invalid argument)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Guenther Deschner
Martin Cermak
:
: 809024 (view as bug list)
Depends On:
Blocks: 839383
  Show dependency treegraph
 
Reported: 2012-03-30 08:24 EDT by lejeczek
Modified: 2012-07-11 15:16 EDT (History)
7 users (show)

See Also:
Fixed In Version: samba-3.5.10-122.el6
Doc Type: Bug Fix
Doc Text:
Cause: Newer versions of Windows cannot properly set ACLs on a Samba share. The users are receiving an "access denied" warning. Consequence: Admins or Users cannot fully control ACLs on a Samba share. Fix: Samba has been fixed to address this issue. Result: ACLs can be fully managed again.
Story Points: ---
Clone Of:
: 839383 (view as bug list)
Environment:
Last Closed: 2012-06-20 09:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 7509 None None None Never

  None (edit)
Description lejeczek 2012-03-30 08:24:37 EDT
Description of problem:

this happens when a Domain Admin adds a user-permission set via properties/security in Windows

folder_A was created by a Domain Admin
new permission - Modify - was added over the folder_A to the user_A
user_A created a file_A.txt in folder_A

later Domain Admin goes back to the properties of folder_A wanting to change/modify security entries
operation fails

on windows:

for an individual user permission
 "An error occurred while applying security information to: ..\folder_A\files_A.txt. Access is denied"
and acl don't get applied

for a group, as for a user plus after "... access is denied" also "The parameter is incorrect."

on samba in logs the error is as in the subject 


Version-Release number of selected component (if applicable):
3.5.6-86.el6_1.4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2012-03-30 11:00:15 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 Sumit Bose 2012-04-02 05:53:25 EDT
*** Bug 809024 has been marked as a duplicate of this bug. ***
Comment 9 Guenther Deschner 2012-05-22 12:14:16 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:
Newer versions of Windows cannot properly set ACLs on a Samba share. The users
are receiving an "access denied" warning.

Consequence:
Admins or Users cannot fully control ACLs on a Samba share.

Fix:
Samba has been fixed to address this issue.

Result:
ACLs can be fully managed again.
Comment 11 errata-xmlrpc 2012-06-20 09:50:08 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0850.html

Note You need to log in before you can comment on or make changes to this bug.